Cards

Activate physical card

POSThttps://api.firstleeward.com/v0/cards/:id/activate

Activates a physical card using the 6-digit activation code from the card mailer. Use GET /cards/:id/activation-code only when the cardholder has lost the code that came with the card packaging.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Path Parameters

idstring<uuid>required

Body

application/json

activationCodestringrequired

The 6-digit activation code from the card mailer. Use GET /cards/:id/activation-code only if the code was lost.

Response

204Response for status 204
400Response for status 400
Option 1 · CardCannotBeActivatedError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 2 · InvalidActivationCodeError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
404Card not found
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired